#include "mex.h"

void mexFunction(int nOutArray, mxArray *OutArray[], int nInArray,const mxArray *InArray[]){


    int np,nps,dim;
    double temp;
    double *P_point,*P_normaux;
    int i,j,k;

    
    np  =mxGetM(InArray[0]);
    nps =mxGetM(InArray[1]);
    dim =mxGetN(InArray[0]);
   

    P_point=mxGetPr(InArray[0]);
    P_normaux=mxGetPr(InArray[1]);
    
    /*    for(i=0;i<np;i++){
      for(k=0;k<dim;k++)printf("%lf ",  P_point[i+k*np]);
      printf(" \n");
      }*/

    /* Creation des vecteurs de sortie */
    double *min1;
    double *max1;
  
    
    OutArray[0]=mxCreateDoubleMatrix(nps,1,mxREAL);
    OutArray[1]=mxCreateDoubleMatrix(nps,1,mxREAL);
    min1=mxGetPr(OutArray[0]);
    max1=mxGetPr(OutArray[1]);
    
    /* Code principal */
    for(i=0;i<nps;i++)
      {
	min1[i]    =  -1e4;
	max1[i]    =  -1e4;
	temp       =  0;
	for(j=0;j<np;j++){
	  for(k=0;k<dim;k++) {temp +=P_point[j+k*np]*P_normaux[i+k*nps]; } 
	  if(temp>min1[i])    {min1[i]=temp;}
	  if((-temp)>max1[i]) {max1[i]=(-temp);}
	  temp=0.;
	}
      }			
}


