function [H,K] =  polytope_V2H(p)

% This function computes the H-representation of a polytop
% i.e. P = {x, Hx<=K} from its extrem points p (of dimension n*dim 
% where dim = 3 or 2)
%
% CALL :  [H,K] =  polytope_V2H(p)
%


np               = size(p,1); 
dim              = size(p,2);
nmax             = 1e6;

if (dim>3 | np>nmax | dim<2)
    warning('Problem of dimension in polytope_H2V.m ?? : Dimension > 3');
end


[H,K] =  mex_polytope_V2H(p);


