function vect=dodec

% Compute the normal vectors of a dodecahedron
%
% CALL  : normals = dodec

polyedres;

for g=1:size(FD,1)
    vect(1:3,g)=cross(SD(FD(g,3),:)-SD(FD(g,2),:),SD(FD(g,4),:)-SD(FD(g,2),:))';
    norme=sum(vect(:,g).^2).^(0.5);
    vect(1:3,g)=vect(1:3,g)/norme;
end