function [valmin,valmax] =  minkow_thickness(sommets,vnormaux)

% This function computes the thickness of the convex
% polytop defined by its extrem points ''points'' in the
% directions given by vdir : 
% valmax(i)  =  max sum(points.*vdir(i,:)) 
% valmin(i)  = -min sum(points.*vdir(i,:)) 
%
% CALL :  [valmin,valmax] =  minkow_thickness(points,vdir)
     
dim  = size(sommets,2);

if(nargin~=2)
    error('Wrong number of arguments in  minkow_thickness.m');
end

if(size(sommets,2)~=size(vnormaux,2))
    error('Wrong  arguments in  minkow_thickness.m');
end

if (dim>3  | dim<2)	
    warning('Problem of dimension in minkow_thickness.m ?? : Dimension > 3');
end


[valmin,valmax]             = mex_minkow_thickness(sommets,vnormaux);
