n1           = 10;
n2           = 20;

p1           = [cos(linspace(0,2*pi,100))',sin(linspace(0,2*pi,100))'];
p2           = rand(n2,2);

[v1,s1]      = mex_volsurf(p1);
[v2,s2]      = mex_volsurf(p2);

disp(' ');
disp(['Perimetre du premier polytope  = ',num2str(s1,12)])
disp(['Perimetre du second  polytope  = ',num2str(s2,12)])
disp(['Somme de ces deux perimetres   = ',num2str(s1+s2,12)])
disp(' ');

p3           = minkowski_sum(p1,p2);
[v3,s3]      = mex_volsurf(p3);
disp(['Perimetre du polytope somme    = ',num2str(s3,12)])
disp(' ');









%return
K1           = convhull(p1(:,1),p1(:,2));
p1           = p1(K1,:);
K2           = convhull(p2(:,1),p2(:,2));
p2           = p2(K2,:);
K3           = convhull(p3(:,1),p3(:,2));
p3           = p3(K3,:);

% Representation graphique
close all
figure(1);
set(1,'name',' ');
hold on
subplot(1,3,1);
fill(p1(:,1),p1(:,2),1)
axis equal
axis off
subplot(1,3,2);
h=fill(p2(:,1),p2(:,2),'b')
set(h,'FaceColor',[1 0.3 0]);
axis equal
axis off
subplot(1,3,3);
h=fill(p3(:,1),p3(:,2),'r')
set(h,'FaceColor',[0 1 0.3]);
axis equal
axis off
