function vect=tetra

% Compute the normal vectors of a regular tetrahedron
%
% CALL  : normals = tetra

polyedres;
for g=1:size(FT,1)
    vect(1:3,g)=cross(ST(FT(g,3),:)-ST(FT(g,2),:),ST(FT(g,4),:)-ST(FT(g,2),:))';
    norme=sum(vect(:,g).^2).^(0.5);
    vect(1:3,g)=vect(1:3,g)/norme;
end